
var SIGNATURE_REQUIRE_MSG = 'm3-sinops-signature-required';

function isSignatureRequested(text){
    var res;
    try{
        res = Ext.decode(text);
    }catch(err){
        res = false;
    }
    return (res && res.message === SIGNATURE_REQUIRE_MSG);
}


function signAskHandler(callback){
    return function(response, opt){
        if(isSignatureRequested(response.responseText)){
            signWin = smart_eval(response.responseText);
            signWin.setOperationPostAction(callback);
        }else{
            callback.apply(this, arguments);
        }
    };
}