{% include 'm3_sinops/extjs-client-interface.js' %}

win.on('submitfailed', submitFailed);
win.on('aftersubmit', afterSubmit);

var signWin;

function afterSubmit(win, form, action){
    if(signWin && !signWin.isDestroyed) {
        signWin.close();
        signWin.sinopsSigner.showSuccessMsg({
            fn: function(){
                win.fireEvent('closed_ok', action.response.responseText);
                win.close(true);
                smart_eval(action.response.responseText);
            }
        });
        return false;
    }
}

function submitFailed(win, form, action){
    if(isSignatureRequested(action.response.responseText)){
        signWin = smart_eval(action.response.responseText);
        signWin.on('beforeoperationsubmit', function(sinopsSigner, req){
            Ext.apply(action.options.params, sinopsSigner.getSignatureParams());
            action.run();
            signWin.operationProcessMask.show();
            return false;
        });
        return false;
    }else if(signWin && !signWin.isDestroyed){
        signWin.close();
    }
}